import Vue from 'vue'
import { Monitor } from '.'

declare module 'vue/types/vue' {
  interface Vue {
    $monitor: Monitor
    _monitor: Monitor
    _monitorRoot: Vue
  }
}

declare module 'vue/types/options' {
  interface ComponentOptions<V extends Vue> {
    monitor?: Monitor
    router?: any
  }
}
